io.agora.rtc

## Class AgoraParameter

- java.lang.Object
- - io.agora.rtc.AgoraParameter

-     public class AgoraParameter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraParameter(long cptr)` Constructor for AgoraParameter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the AgoraParameter object.
    `int` | `getBool(java.lang.String key, Out value)` Gets a boolean parameter.
    `int` | `getInt(java.lang.String key, Out value)` Gets an integer parameter.
    `int` | `getNumber(java.lang.String key, Out value)` Gets a numeric parameter.
    `int` | `getString(java.lang.String key, Out value)` Gets a string parameter.
    `int` | `getUint(java.lang.String key, Out value)` Gets an unsigned integer parameter.
    `private void` | `nativeDestroy(long cptr)`
    `private int` | `nativeGetBool(long cptr, java.lang.String key, Out value)`
    `private int` | `nativeGetInt(long cptr, java.lang.String key, Out value)`
    `private int` | `nativeGetNumber(long cptr, java.lang.String key, Out value)`
    `private int` | `nativeGetString(long cptr, java.lang.String key, Out value)`
    `private int` | `nativeGetUint(long cptr, java.lang.String key, Out value)`
    `private int` | `nativeSetArray(long cptr, java.lang.String key, java.lang.String json_src)`
    `private int` | `nativeSetBool(long cptr, java.lang.String key, boolean value)`
    `private int` | `nativeSetInt(long cptr, java.lang.String key, int value)`
    `private int` | `nativeSetNumber(long cptr, java.lang.String key, double value)`
    `private int` | `nativeSetParameters(long cptr, java.lang.String json_src)`
    `private int` | `nativeSetString(long cptr, java.lang.String key, java.lang.String value)`
    `private int` | `nativeSetUint(long cptr, java.lang.String key, int value)`
    `int` | `setArray(java.lang.String key, java.lang.String json_src)` Sets an array parameter using a JSON string.
    `int` | `setBool(java.lang.String key, boolean value)` Sets a boolean parameter.
    `int` | `setInt(java.lang.String key, int value)` Sets an integer parameter.
    `int` | `setNumber(java.lang.String key, double value)` Sets a numeric parameter.
    `int` | `setParameters(java.lang.String json_src)` Sets multiple parameters using a JSON string.
    `int` | `setString(java.lang.String key, java.lang.String value)` Sets a string parameter.
    `int` | `setUint(java.lang.String key, int value)` Sets an unsigned integer parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraParameter

          public AgoraParameter(long cptr)

      Constructor for AgoraParameter.
      Parameters:
        `cptr` - Pointer to the native parameter object.

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroys the AgoraParameter object.

    - #### setInt

          public int setInt(java.lang.String key,
                            int value)

      Sets an integer parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - The integer value to set.
      Returns:
        0 on success, <0 on failure.

    - #### setBool

          public int setBool(java.lang.String key,
                             boolean value)

      Sets a boolean parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - The boolean value to set.
      Returns:
        0 on success, <0 on failure.

    - #### setUint

          public int setUint(java.lang.String key,
                             int value)

      Sets an unsigned integer parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - The unsigned integer value to set.
      Returns:
        0 on success, <0 on failure.

    - #### setNumber

          public int setNumber(java.lang.String key,
                               double value)

      Sets a numeric parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - The numeric value to set.
      Returns:
        0 on success, <0 on failure.

    - #### setString

          public int setString(java.lang.String key,
                               java.lang.String value)

      Sets a string parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - The string value to set.
      Returns:
        0 on success, <0 on failure.

    - #### setArray

          public int setArray(java.lang.String key,
                              java.lang.String json_src)

      Sets an array parameter using a JSON string.
      Parameters:
        `key` - The key of the parameter.
        `json_src` - The JSON string representing the array.
      Returns:
        0 on success, <0 on failure.

    - #### setParameters

          public int setParameters(java.lang.String json_src)

      Sets multiple parameters using a JSON string.
      Parameters:
        `json_src` - The JSON string containing multiple parameters.
      Returns:
        0 on success, <0 on failure.

    - #### getInt

          public int getInt(java.lang.String key,
                            Out value)

      Gets an integer parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - An Out object to store the integer value.
      Returns:
        0 on success, <0 on failure.

    - #### getBool

          public int getBool(java.lang.String key,
                             Out value)

      Gets a boolean parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - An Out object to store the boolean value.
      Returns:
        0 on success, <0 on failure.

    - #### getUint

          public int getUint(java.lang.String key,
                             Out value)

      Gets an unsigned integer parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - An Out object to store the unsigned integer value.
      Returns:
        0 on success, <0 on failure.

    - #### getNumber

          public int getNumber(java.lang.String key,
                               Out value)

      Gets a numeric parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - An Out object to store the numeric value.
      Returns:
        0 on success, <0 on failure.

    - #### getString

          public int getString(java.lang.String key,
                               Out value)

      Gets a string parameter.
      Parameters:
        `key` - The key of the parameter.
        `value` - An Out object to store the string value.
      Returns:
        0 on success, <0 on failure.

    - #### nativeSetInt

          private int nativeSetInt(long cptr,
                                   java.lang.String key,
                                   int value)

    - #### nativeSetBool

          private int nativeSetBool(long cptr,
                                    java.lang.String key,
                                    boolean value)

    - #### nativeSetUint

          private int nativeSetUint(long cptr,
                                    java.lang.String key,
                                    int value)

    - #### nativeSetNumber

          private int nativeSetNumber(long cptr,
                                      java.lang.String key,
                                      double value)

    - #### nativeSetString

          private int nativeSetString(long cptr,
                                      java.lang.String key,
                                      java.lang.String value)

    - #### nativeSetArray

          private int nativeSetArray(long cptr,
                                     java.lang.String key,
                                     java.lang.String json_src)

    - #### nativeSetParameters

          private int nativeSetParameters(long cptr,
                                          java.lang.String json_src)

    - #### nativeGetInt

          private int nativeGetInt(long cptr,
                                   java.lang.String key,
                                   Out value)

    - #### nativeGetBool

          private int nativeGetBool(long cptr,
                                    java.lang.String key,
                                    Out value)

    - #### nativeGetUint

          private int nativeGetUint(long cptr,
                                    java.lang.String key,
                                    Out value)

    - #### nativeGetNumber

          private int nativeGetNumber(long cptr,
                                      java.lang.String key,
                                      Out value)

    - #### nativeGetString

          private int nativeGetString(long cptr,
                                      java.lang.String key,
                                      Out value)

    - #### nativeDestroy

          private void nativeDestroy(long cptr)